## !!
# This values files only contains the bare minimum to get argo up and running.
# Only update things like initial argo-cd version here
# Rest of config is located in argocd-apps/sys/argocd.yaml
##
applications:
  system:
    namespace: argocd
    additionalAnnotations:
      argocd.argoproj.io/sync-options: SkipDryRunOnMissingResource=true
    destination:
      namespace: argocd
      server: https://kubernetes.default.svc
    project: sys
    sources:
      - repoURL: https://gitlab.com/oceanbox//manifests.git
        targetRevision: HEAD
        path: helmfile.d
        plugin:
          name: helmfile-cmp
          env:
          - name: CLUSTER_NAME
            value: replaceme
          - name: HELMFILE_ENVIRONMENT
            value: default
          - name: HELMFILE_FILE_PATH
            value: system.yaml.gotmpl
projects:
  sys:
    namespace: argocd
    additionalLabels: {}
    additionalAnnotations: {}
    description: sys components project
    sourceRepos:
    - '*'
    destinations:
    - namespace: '*'
      server: https://kubernetes.default.svc
    clusterResourceWhitelist:
    - group: '*'
      kind: '*'
    orphanedResources:
      warn: false
